<?php
header('Content-type: application/json');
require_once "funcions.php";

if( isset($_POST['id_libro']) &&  isset($_POST['id_usuario']))
{
    $id_libro = trim($_POST['id_libro']);
    $id_usuario = trim($_POST['id_usuario']);
    $dbMySQL = connexioMySql();
    $stmt = $dbMySQL->prepare("SELECT * FROM llibres_desitjats WHERE id_usuari=:id_usuario and id_llibre=:id_libro");
    $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
    $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
    $stmt->execute();

    if($stmt->rowCount()>0)
    {
        $stmt = $dbMySQL->prepare("delete FROM llibres_desitjats WHERE id_usuari=:id_usuario and id_llibre=:id_libro");
        $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
        $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
        $stmt->execute();

        echo '{"success":1}';
    }
    else
    {
		$fecha = date('Y-m-d');
        $stmt = $dbMySQL->prepare("insert into llibres_desitjats (id_usuari,id_llibre,data_entrada) values (:id_usuario,:id_libro,:fecha)");
        $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
        $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
        $stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);
        $stmt->execute();
        echo '{"success":2}';
    }
}
else
{
    echo '{"success":0,"error_message":"Datos inválidos."}';
}

?>