<?php
header('Content-type: application/json');
require_once "funcions.php";

if( isset($_POST['id_libro']) )
{
    $id_libro = trim($_POST['id_libro']);
    $dbMySQL = connexioMySql();
    $stmt = $dbMySQL->prepare("SELECT * FROM opinions_llibre, usuaris WHERE opinions_llibre.id_llibre=:id_libro and usuaris.id_usuari=opinions_llibre.id_usuari order by nota DESC");
    $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
    $stmt->execute();
    $arr='[';
    while($row = $stmt->fetch(PDO::FETCH_ASSOC))
    {
        $usuario=utf8_encode($row['nom']);
        $nota=number_format($row['nota'],1);
        $fecha= date_create($row['data_entrada']) ;
		$opinion=$row['opinio'];
		
		$buscar=array( "\r\n", "\n", "\r");
		$reemplazar=array("\r\\n", "\\n", "\\r");
		$opinion=str_replace("\n"," ",$opinion);
		
        

        $arr.='{
                    "usuario":"'.$usuario.'",
                    "nota":"'.$nota.'",
                    "fecha":"'.date_format( $fecha,'d-m-Y').'",
                    "opinion":"'.$opinion.'"
                },';
    }
    $arr = trim($arr, ',');
    $arr.=']';
    echo $arr;
}


?>