<?php
header('Content-type: application/json');
require_once "funcions.php";

if ( isset($_POST['id_permuta']) && isset($_POST['id_usuario'])  )
{
    $id_permuta=$_POST['id_permuta'];
 	$id_usuario=$_POST['id_usuario'];
 
    $dbMySQL = connexioMySql();
	$stmt = $dbMySQL->prepare(" select * from permutes where  id_permuta=:id_permuta");
	$stmt->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
	$stmt->execute();
	
	if($stmt->rowCount()>0){	
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
		
		$datosEmisor=libro_biblioteca($row['id_usuari_emisor'], $row['id_llibre_emisor']);
		$datosReceptor=libro_biblioteca($row['id_usuari_receptor'], $row['id_llibre_receptor']);
		
		$valorada=0;
		$comentario_valoracion ="";
		$puntuacion ="";
			
		$rs = $dbMySQL->prepare(" select * from valoracions where id_permuta=:id_permuta and id_usuari=:id_usuario");
		$rs->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
		$rs->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
		$rs->execute();
		if($rs->rowCount()>0)
		{
			$row2 = $rs->fetch(PDO::FETCH_ASSOC);
			$valorada=1;
			$comentario_valoracion =$row2['observacio'];
			$puntuacion =$row2['puntuacio'];
		}
		
		$buscar=array( "\r\n", "\n", "\r");
		$reemplazar=array("\r\\n", "\\n", "\\r");
		
		$comentario_valoracion=str_replace("\n"," ",$comentario_valoracion);
		
	
		if($row['id_usuari_emisor'] == $id_usuario){ // permuta hecha por el usuario
			$tipo=0;
			$nombre_receptor =  nombre_usuario($row['id_usuari_receptor']);
			
			$info=info_libro_permuta($row['id_llibre_receptor']);
			
			$ruta="../imagenes/".$row['id_llibre_receptor'].".".$info[0];
			if (file_exists($ruta)) {
				$data = file_get_contents($ruta);
				$imagen = base64_encode($data);
			}
			else{
				$imagen = "-";
			}
			
			$observacion=str_replace("\n"," ",$info[1]);
			$comentario_emisor=str_replace("\n"," ",$row['comentari_emisor']);
			echo'{
					"success":1,
					"estado":'.$row['estat'].',
					"id_usuario_receptor":'.$row['id_usuari_receptor'].',
					"id_usuario_emisor":'.$id_usuario.',
					"nombre_receptor":"'.$nombre_receptor.'",
					"titulo_receptor":"'.$datosReceptor[0].'",
					"id_libro_receptor":'.$datosReceptor[1].',
					"titulo_emisor":"'.$datosEmisor[0].'",
					"id_libro_emisor":'.$datosEmisor[1].',
					"tipo":'.$tipo.',
					"respuesta":"'.$row['resposta'].'",
					"comentario_emisor":"'.$comentario_emisor.'",
					"imagen":"'.$imagen.'",
					"observacion":"'.$observacion.'",
					"valorada":'.$valorada.',
					"comentario_valoracion":"'.$comentario_valoracion.'",
					"puntuacion":"'.$puntuacion.'"
				  }';
					
		}
		else{
			if($row['id_usuari_receptor'] == $id_usuario){ // permuta hecha al usuario
				$tipo=1;
				$nombre_emisor =  nombre_usuario($row['id_usuari_emisor']);
				
				$info=info_libro_permuta($row['id_llibre_receptor']);
			
				$ruta="../imagenes/".$row['id_llibre_emisor'].".".$info[0];
				if (file_exists($ruta)) {
					$data = file_get_contents($ruta);
					$imagen = base64_encode($data);
				}
				else{
					$imagen = "-";
				}
				
				$observacion=str_replace("\n"," ",$info[1]);
				$comentario_emisor=str_replace("\n"," ",$row['comentari_emisor']);
				
				echo '{
						"success":1,
						"estado":'.$row['estat'].',
						"id_usuario_receptor":'.$id_usuario.',
						"id_usuario_emisor":'.$row['id_usuari_emisor'].',
						"nombre_emisor":"'.$nombre_emisor.'",
						"titulo_receptor":"'.$datosReceptor[0].'",
						"id_libro_receptor":'.$datosReceptor[1].',
						"titulo_emisor":"'.$datosEmisor[0].'",
						"id_libro_emisor":'.$datosEmisor[1].',
						"tipo":'.$tipo.',
						"respuesta":"'.$row['resposta'].'",
						"comentario_emisor":"'.$comentario_emisor.'",
						"imagen":"'.$imagen.'",
						"observacion":"'.$observacion.'",
						"valorada":'.$valorada.',
						"comentario_valoracion":"'.$comentario_valoracion.'",
						"puntuacion":"'.$puntuacion.'"
					}';
			}
		}
	}
	else
	{
		echo '{"success":0,"error_message":"La permuta no existe"}';
	}
	
}
else
{
	echo '{"success":0,"error_message":"Datos inválidos"}';
}

?>