<?php
header('Content-type: application/json');
require_once "funcions.php";

if ( isset($_POST['id_usuario']) && isset($_POST['id_permuta']) && isset($_POST['estado']))
{
    $id_usuario=$_POST['id_usuario'];
    $id_permuta=$_POST['id_permuta'];
	$respuesta=$_POST['respuesta'];
    $estado=$_POST['estado'];
	$fecha=date('Y-m-d H:i:s');

    $dbMySQL = connexioMySql();
	
	$stmt = $dbMySQL->prepare("update permutes set estat=:estado, resposta=:respuesta, data_resposta=:fecha where id_permuta=:id_permuta");
	$stmt->bindParam(":estado", $estado, PDO::PARAM_INT);
	$stmt->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
	$stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);
	$stmt->bindParam(":respuesta", $respuesta, PDO::PARAM_INT);
	$stmt->execute();
	
	if($estado==2)
	{
		$stmt = $dbMySQL->prepare("select * from permutes  where id_permuta=:id_permuta");
		$stmt->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
		$id_libro_emisor =  $row['id_llibre_emisor'];
		$id_libro_receptor =  $row['id_llibre_receptor'];
		
		$cancelada=1;
		$stmt = $dbMySQL->prepare("update permutes set estat=:estado  where id_permuta<>:id_permuta and (id_llibre_emisor=:id_libro_emisor or id_llibre_emisor=:id_libro_receptor)");
		$stmt->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
		$stmt->bindParam(":id_libro_emisor", $id_libro_emisor, PDO::PARAM_INT);
		$stmt->bindParam(":id_libro_receptor", $id_libro_receptor, PDO::PARAM_INT);
		$stmt->bindParam(":estado", $cancelada, PDO::PARAM_INT);
		$stmt->execute();
		
		$stmt = $dbMySQL->prepare("update permutes set estat=:estado  where id_permuta<>:id_permuta and (id_llibre_receptor=:id_libro_emisor or id_llibre_receptor=:id_libro_receptor)");
		$stmt->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
		$stmt->bindParam(":id_libro_emisor", $id_libro_emisor, PDO::PARAM_INT);
		$stmt->bindParam(":id_libro_receptor", $id_libro_receptor, PDO::PARAM_INT);
		$stmt->bindParam(":estado", $cancelada, PDO::PARAM_INT);
		$stmt->execute();
	}
	
	
	echo '{"success":1}';
	
}
else
{
     echo '{"success":0,"error_message":"Datos inválidos"}';
}
?>