<?php
header('Content-type: application/json');
require_once "funcions.php";


if( isset($_POST['id_genero']) )
{

	$id_genero = trim($_POST['id_genero']);
	$dbMySQL = connexioMySql();
	$stmt = $dbMySQL->prepare("SELECT * 
							  FROM llibre_genere,llibres,llibre_autor,autors
							  WHERE llibre_genere.id_genere=:id_genero and 
							  		llibre_genere.id_llibre = llibres.id_llibre and 
									llibre_autor.id_llibre = llibres.id_llibre AND
                               		llibre_autor.id_autor = autors.id_autor 
							 ORDER by titol");
	$stmt->bindParam(":id_genero", $id_genero, PDO::PARAM_INT);
	$stmt->execute();
	$arr='[';
 	while($row = $stmt->fetch(PDO::FETCH_ASSOC))
	{
		$titulo = $row ['titol'];
		$id_libro = $row ['id_llibre'];
        $isbn = $row ['ISBN'];
        $autor = $row ['autor'];
        $extension = $row ['extensio_portada'];
		
		$ruta="../portadas/".$id_libro.".".$extension;
        if (file_exists($ruta)) {
            $data = file_get_contents($ruta);
            $portada = base64_encode($data);
        }
        else{
            $portada = "-";
        }

        $arr.='{
                    "id_libro":'.$id_libro.',
					"titulo":"'.$titulo.'",
                    "isbn":"'.$isbn.'",
					"autor":"'.$autor.'",
					"portada":"'.$portada.'"
                },';	
    }
    $arr = trim($arr, ',');
    $arr.=']';

  	 echo $arr;
}


?>