<?php 
header('Content-type: application/json');
require_once "funcions.php"; 

$id_libro=$_POST['id_libro'];

if ( !isset($_FILES["file"]) || $_FILES["file"]["error"] > 0 || !isset($id_libro))
{
	echo '0';
} 
else 
{
	//ahora vamos a verificar si el tipo de archivo es un tipo de imagen permitido.
	//y que el tamano del archivo no exceda los 16MB
	$permitidos = array("image/jpg", "image/jpeg", "image/png");
	$limite_kb = 116384;

	if (in_array($_FILES['file']['type'], $permitidos) && $_FILES['file']['size'] <= $limite_kb * 1024)
	{

		$imagen_temporal  = $_FILES['file']['tmp_name'];
		$tipo = explode("/", $_FILES['file']['type']);

        $ext=end($tipo);
		
		$ruta="../portadas/e".$id_libro.".".end($tipo);
	
		if (move_uploaded_file($imagen_temporal, $ruta)) 
		{
            $dbMySQL = connexioMySql();
            $stmt = $dbMySQL->prepare("update llibres set extensio_portada =:tipo where id_llibre =:id_libro");
            $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
            $stmt->bindParam(":tipo",  $ext, PDO::PARAM_STR);
            $stmt->execute();

            $miniatura_ancho_maximo = 187;
            $miniatura_alto_maximo = 269;

            $info_imagen = getimagesize($ruta);
            $imagen_ancho = $info_imagen[0];
            $imagen_alto = $info_imagen[1];
            $imagen_tipo = $info_imagen['mime'];


            switch ( end($tipo) ){
                case "jpg":
                    $imagen = imagecreatefromjpeg( $ruta );
                    break;
                case "jpeg":
                    $imagen = imagecreatefromjpeg( $ruta );
                    break;
                case "png":
                    $imagen = imagecreatefrompng( $ruta );
                    break;
            }

            $lienzo = imagecreatetruecolor( $miniatura_ancho_maximo, $miniatura_alto_maximo );

            imagecopyresampled($lienzo, $imagen, 0, 0, 0, 0, $miniatura_ancho_maximo, $miniatura_alto_maximo, $imagen_ancho, $imagen_alto);

            imagejpeg($lienzo, "../portadas/".$id_libro.".".end($tipo), 80);

            if (!unlink($ruta)){

            }

            echo '1';
		} 
		else 
		{
    		echo '2';
		}	
	} 
	else 
	{
		echo '3';
	}
}