<?php
header('Content-type: application/json');
require_once "funcions.php";

if ( isset($_POST['id_libro']) && isset($_POST['id_usuario']) && isset($_POST['descripcion']))
{
    $id_libro=$_POST['id_libro'];
    $id_usuario=$_POST['id_usuario'];
    $descripcion=$_POST['descripcion'];

    $dbMySQL = connexioMySql();
	
	
		
		$stmt = $dbMySQL->prepare("insert into llibres_canvi (id_llibre, id_usuari, observacio) values (:id_libro, :id_usuario, :descripcion)");
		$stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
		$stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
		$stmt->bindParam(":descripcion", $descripcion, PDO::PARAM_STR);
		$stmt->execute();

   	 	$id = $dbMySQL->lastInsertId();
	
		$permitidos = array("image/jpg", "image/jpeg", "image/png");
		$limite_kb = 166384;

		if (in_array($_FILES['file']['type'], $permitidos) && $_FILES['file']['size'] <= $limite_kb * 1024)
		{
	
			$imagen_temporal  = $_FILES['file']['tmp_name'];
			$tipo = explode("/", $_FILES['file']['type']);
	
			$ext=end($tipo);
	
			$ruta="../temp/".$id.".".end($tipo);
	
			if (move_uploaded_file($imagen_temporal, $ruta))
			{
	
				$miniatura_ancho_maximo = 187;
				$miniatura_alto_maximo = 269;
	
				$info_imagen = getimagesize($ruta);
				$imagen_ancho = $info_imagen[0];
				$imagen_alto = $info_imagen[1];
				$imagen_tipo = $info_imagen['mime'];
				
				$stmt = $dbMySQL->prepare("update llibres_canvi set extensio_imatge =:tipo where id_llibre_canvi =:id");
				$stmt->bindParam(":id", $id, PDO::PARAM_INT);
				$stmt->bindParam(":tipo",  end($tipo), PDO::PARAM_STR);
				$stmt->execute();
	
	
				switch ( end($tipo) ){
					case "jpg":
						$imagen = imagecreatefromjpeg( $ruta );
						break;
					case "jpeg":
						$imagen = imagecreatefromjpeg( $ruta );
						break;
					case "png":
						$imagen = imagecreatefrompng( $ruta );
						break;
				}
	
				$lienzo = imagecreatetruecolor( $miniatura_ancho_maximo, $miniatura_alto_maximo );
	
				imagecopyresampled($lienzo, $imagen, 0, 0, 0, 0, $miniatura_ancho_maximo, $miniatura_alto_maximo, $imagen_ancho, $imagen_alto);
	
				imagejpeg($lienzo, "../imagenes/".$id.".".end($tipo), 80);
	
				if (!unlink($ruta)){
	
				}
	
				echo '3';
			}
			else
			{
				echo '2';
			}
		}
		 echo '3';
	}

else
{
    echo '0';
}
?>