//
//  DetalleValoracionController.swift
//  trotalibros
//
//  Created by EDU on 5/12/16.
//  Copyright © 2016 EDU. All rights reserved.
//  Clase para mostrar el detalle de una valoración

import UIKit
import QuartzCore

class DetalleValoracionController: UIViewController {
    
    //variables internas
    var nombre_usuario_valorado:NSString = ""
    var puntuacion:NSString = ""
    var opinion:NSString = ""
    
    //variables conectadas con los elementos de la pantalla
    @IBOutlet weak var puntuacionButton: UIButton!
    @IBOutlet weak var label1: UILabel!
    @IBOutlet weak var opinionText: UITextView!
    
    
    
    //Función al cargar la pantalla la primera vez
    override func viewDidLoad()
    {
        super.viewDidLoad()
        self.title = "Valoración"
        label1.text = "Tu valoración a " + (nombre_usuario_valorado as String)
        opinionText.text = opinion as String
        puntuacionButton.setTitle(puntuacion as String, for: .normal)
    }
    
    override func viewWillDisappear(_ animated : Bool) {
        super.viewWillDisappear(animated)
    }
    
    override func viewWillAppear(_ animated: Bool)
    {
        super.viewWillAppear(animated)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
    
}
