//
//  InfoLibroCambioController.swift
//  trotalibros
//
//  Created by EDU on 4/12/16.
//  Copyright © 2016 EDU. All rights reserved.
//  Classe para mostrar información del libro a cambiar

import UIKit
import QuartzCore

class InfoLibroCambioController: UIViewController {
    
    //variables internas
    var observacion:NSString = ""
    var imagen:NSString = ""
    
    //variables conectadas con los elementos de la pantalla
    @IBOutlet weak var observacionText: UITextView!
    @IBOutlet weak var imagenLibro: UIImageView!
    
    //variables conectadas con los elementos de la pantalla
    override func viewDidLoad()
    {
        super.viewDidLoad()
        observacionText.text = observacion as String
        
        //Si hay imagen la descodificamos en base64
        if(imagen != "-"){
            let decodedData = NSData(base64Encoded: imagen as String, options: NSData.Base64DecodingOptions(rawValue: 0))
            self.imagenLibro.contentMode = UIViewContentMode.scaleToFill
            self.imagenLibro.image = UIImage(data: decodedData! as Data)
        }
    }
    
    override func viewWillDisappear(_ animated : Bool) {
        super.viewWillDisappear(animated)
    }
    
    override func viewWillAppear(_ animated: Bool)
    {
        super.viewWillAppear(animated)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
    
}
