<?php
header('Content-type: application/json');
require_once "funcions.php";

if( isset($_POST['id_libro']) &&  isset($_POST['id_usuario']))
{
    $id_libro = trim($_POST['id_libro']);
    $id_usuario = trim($_POST['id_usuario']);
    $flag=0;
    $dbMySQL = connexioMySql();
    $stmt = $dbMySQL->prepare("SELECT * FROM biblioteca WHERE id_usuari=:id_usuario and id_llibre=:id_libro and flag=:flag");
    $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
    $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
    $stmt->bindParam(":flag", $flag, PDO::PARAM_INT);
    $stmt->execute();

    if($stmt->rowCount()>0)
    {
        $stmt = $dbMySQL->prepare("delete FROM biblioteca WHERE id_usuari=:id_usuario and id_llibre=:id_libro and flag=:flag");
        $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
        $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
        $stmt->bindParam(":flag", $flag, PDO::PARAM_INT);
        $stmt->execute();

        echo '{"success":1}';
    }
    else
    {
        $stmt = $dbMySQL->prepare("insert into biblioteca (id_usuari,id_llibre,flag) values (:id_usuario,:id_libro,:flag)");
        $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
        $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
        $stmt->bindParam(":flag", $flag, PDO::PARAM_INT);
        $stmt->execute();
        echo '{"success":2}';
    }
}
else
{
    echo '{"success":0,"error_message":"Datos inválidos."}';
}

?>