<?php
header('Content-type: application/json');
require_once "funcions.php";

if( isset($_POST['id_usuario']) )
{
    $id_usuario = trim($_POST['id_usuario']);
    $dbMySQL = connexioMySql();
   	$stmt = $dbMySQL->prepare("SELECT * FROM valoracions,usuaris where id_usuari_valorat=:id_usuario and usuaris.id_usuari=valoracions.id_usuari  order by data DESC");
	$stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
    $stmt->execute();

    $arr='[';
    while($row = $stmt->fetch(PDO::FETCH_ASSOC))
    {
        $usuario=utf8_encode($row['nom']);
        $nota=number_format($row['puntuacio'],1);
        $fecha= date_create($row['data']) ;
		$opinion=utf8_encode($row['observacio']);
		
		$buscar=array( "\r\n", "\n", "\r");
		$reemplazar=array("\r\\n", "\\n", "\\r");
		$opinion=str_replace("\n"," ",$opinion);
		
        

        $arr.='{
                    "usuario":"'.$usuario.'",
                    "nota":"'.$nota.'",
                    "fecha":"'.date_format( $fecha,'d-m-Y').'",
                    "opinion":"'.$opinion.'"
                },';
    }
    $arr = trim($arr, ',');
    $arr.=']';
    echo $arr;
}


?>