<?php
header('Content-type: application/json');
require_once "funcions.php";

if( isset($_POST['nota']) &&  isset($_POST['id_usuario']) &&  isset($_POST['opinion']) &&  isset($_POST['id_libro']) )
{
    $nota = trim($_POST['nota']);
    $id_usuario = trim($_POST['id_usuario']);
	$id_libro = trim($_POST['id_libro']);
	$opinion = trim($_POST['opinion']);
	
    $dbMySQL = connexioMySql();
    $stmt = $dbMySQL->prepare("SELECT * FROM opinions_llibre WHERE id_usuari=:id_usuario and id_llibre=:id_libro");
    $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
    $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
    $stmt->execute();

    if($stmt->rowCount()>0)
    {
		$fecha = date('Y-m-d');
        $stmt = $dbMySQL->prepare("update opinions_llibre set nota=:nota, opinio=:opinion, data_entrada=:fecha where id_usuari=:id_usuario and id_llibre=:id_libro");
        $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
        $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
        $stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);
		$stmt->bindParam(":opinion", $opinion, PDO::PARAM_STR);
		$stmt->bindParam(":nota", $nota, PDO::PARAM_STR);
        $stmt->execute();
        echo '{"success":1}';
      
    }
    else
    {
		$fecha = date('Y-m-d');
        $stmt = $dbMySQL->prepare("insert into opinions_llibre (id_usuari,id_llibre, nota, opinio, data_entrada) values (:id_usuario,:id_libro, :nota, :opinion, :fecha)");
        $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
        $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
        $stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);
		$stmt->bindParam(":opinion", $opinion, PDO::PARAM_STR);
		$stmt->bindParam(":nota", $nota, PDO::PARAM_STR);
        $stmt->execute();
        echo '{"success":1}';
    }
}
else
{
    echo '{"success":0,"error_message":"Datos inválidos."}';
}

?>