<?php
header('Content-type: application/json');
require_once "funcions.php";

if ( isset($_POST['id_usuario_emisor']) && isset($_POST['id_usuario_receptor']) && isset($_POST['id_libro_emisor']) && isset($_POST['id_libro_receptor']))
{
    $id_usuario_emisor=$_POST['id_usuario_emisor'];
    $id_usuario_receptor=$_POST['id_usuario_receptor'];
    $id_libro_emisor=$_POST['id_libro_emisor'];
	$id_libro_receptor=$_POST['id_libro_receptor'];
	$comentario=$_POST['comentario'];
	$fecha=date('Y-m-d H:i:s');
	try{
    $dbMySQL = connexioMySql();
	$stmt = $dbMySQL->prepare("insert into permutes (id_usuari_emisor, id_usuari_receptor, id_llibre_receptor, id_llibre_emisor, comentari_emisor, data_permuta) values 
	(:id_usuario_emisor, :id_usuario_receptor, :id_libro_receptor, :id_libro_emisor, :comentario,:fecha)");
	$stmt->bindParam(":id_usuario_emisor", $id_usuario_emisor, PDO::PARAM_INT);
	$stmt->bindParam(":id_usuario_receptor", $id_usuario_receptor, PDO::PARAM_INT);
	$stmt->bindParam(":id_libro_emisor", $id_libro_emisor, PDO::PARAM_INT);
	$stmt->bindParam(":id_libro_receptor", $id_libro_receptor, PDO::PARAM_INT);
	$stmt->bindParam(":comentario", $comentario, PDO::PARAM_STR);
	$stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);
	$stmt->execute();
	
	}
	catch (PDOException $e) {
    	echo "Error!: " . $e->getMessage() . "<br/>";
    	die();
	}
	 echo '{"success":1}';
}
else
{
     echo '{"success":0,"error_message":"Datos inválidos"}';
}
?>