<?php
header('Content-type: application/json');
require_once "funcions.php";

if( isset($_POST['id_libro']) &&  isset($_POST['id_usuario']))
{
    $id_libro = trim($_POST['id_libro']);
    $id_usuario = trim($_POST['id_usuario']);
    $flag=0;
   
    $dbMySQL = connexioMySql();
	$stmt = $dbMySQL->prepare("select * from llibres_canvi where id_llibre=:id_libro and id_usuari=:id_usuario and flag=:flag");
    $stmt->bindParam(":id_libro", $id_libro, PDO::PARAM_INT);
    $stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
    $stmt->bindParam(":flag", $flag, PDO::PARAM_INT);
    $stmt->execute();
	
	
	//Si existe el libro lo modificamos a eliminado y cancelamos todas las permutas abiertas para éste libro
	if($stmt->rowCount()>0)
	{
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
        $id = $row ['id_llibre_canvi'];
		$flag=1;
		$stmt = $dbMySQL->prepare("update llibres_canvi set flag=:flag where id_llibre_canvi=:id");
		$stmt->bindParam(":id", $id, PDO::PARAM_INT);
		$stmt->bindParam(":flag", $flag, PDO::PARAM_INT);
		$stmt->execute();
		
		
		//cancelamos todas las pemutas de éste libro que esten abiertas
		$cancelada=1;
		$abierta=0;
		$stmt = $dbMySQL->prepare("update permutes set estat=:estado  where estat=:abierta  and (id_llibre_emisor=:id_libro_emisor or id_llibre_emisor=:id_libro_receptor)");
		$stmt->bindParam(":id_libro_emisor", $id, PDO::PARAM_INT);
		$stmt->bindParam(":id_libro_receptor", $id, PDO::PARAM_INT);
		$stmt->bindParam(":estado", $cancelada, PDO::PARAM_INT);
		$stmt->bindParam(":abierta", $abierta, PDO::PARAM_INT);
		$stmt->execute();
		
		$stmt = $dbMySQL->prepare("update permutes set estat=:estado  where estat=:abierta  and (id_llibre_receptor=:id_libro_emisor or id_llibre_receptor=:id_libro_receptor)");
		$stmt->bindParam(":id_libro_emisor", $id, PDO::PARAM_INT);
		$stmt->bindParam(":id_libro_receptor", $id, PDO::PARAM_INT);
		$stmt->bindParam(":estado", $cancelada, PDO::PARAM_INT);
		$stmt->bindParam(":abierta", $abierta, PDO::PARAM_INT);
		$stmt->execute();
	}
	
	 echo '{"success":1}';

}
else
{
    echo '{"success":0,"error_message":"Datos inválidos."}';
}

?>