<?php
header('Content-type: application/json');
require_once "funcions.php";

if ( isset($_POST['id_usuario']) )
{
    $id_usuario=$_POST['id_usuario'];
    
	$estado=0;
    $dbMySQL = connexioMySql();
	$stmt = $dbMySQL->prepare(" select * from permutes where (id_usuari_emisor=:id_usuario_emisor or id_usuari_receptor=:id_usuario_receptor) order by estat");
	$stmt->bindParam(":id_usuario_emisor", $id_usuario, PDO::PARAM_INT);
	$stmt->bindParam(":id_usuario_receptor", $id_usuario, PDO::PARAM_INT);
	$stmt->execute();
		
    $arr='[';
    while($row = $stmt->fetch(PDO::FETCH_ASSOC))
    {
		
		$datosEmisor=libro_biblioteca($row['id_usuari_emisor'], $row['id_llibre_emisor']);
		$datosReceptor=libro_biblioteca($row['id_usuari_receptor'], $row['id_llibre_receptor']);
		
		
		if($row['id_usuari_emisor'] == $id_usuario){ // permuta hecha por el usuario
			$tipo=0;
			$nombre_receptor =  nombre_usuario($row['id_usuari_receptor']);
			$arr.='{
					"id_permuta":'.$row['id_permuta'].',
					"estado":'.$row['estat'].',
                    "id_usuario_receptor":'.$row['id_usuari_receptor'].',
					"nombre_receptor":"'.$nombre_receptor.'",
					"id_usuario_emisor":'.$id_usuario.',
                    "titulo_receptor":"'.$datosReceptor[0].'",
					"id_libro_receptor":'.$datosReceptor[1].',
					"titulo_emisor":"'.$datosEmisor[0].'",
					"id_libro_emisor":'.$datosEmisor[1].',
                    "tipo":'.$tipo.',
                    "comentario_emisor":"'.$row['comentari_emisor'].'"
                },';
				
		}
		else{
			if($row['id_usuari_receptor'] == $id_usuario){ // permuta hecha al usuario
				$tipo=1;
				$nombre_emisor =  nombre_usuario($row['id_usuari_emisor']);
				$arr.='{
						"id_permuta":'.$row['id_permuta'].',
						"estado":'.$row['estat'].',
						"id_usuario_receptor":'.$id_usuario.',
						"id_usuario_emisor":'.$row['id_usuari_emisor'].',
						"nombre_emisor":"'.$nombre_receptor.'",
						"titulo_receptor":"'.$datosReceptor[0].'",
						"id_libro_receptor":'.$datosReceptor[1].',
						"titulo_emisor":"'.$datosEmisor[0].'",
						"id_libro_emisor":'.$datosEmisor[1].',
						"tipo":'.$tipo.',
						"comentario_emisor":"'.$row['comentari_emisor'].'"
                },';
			}
		
		}
		
		

		
	}
	$arr = trim($arr, ',');
    $arr.=']';
    echo $arr;

}

?>