<?php 
header('Content-type: application/json');
require_once "funcions.php"; 
 
if( isset($_POST['id_usuario']) &&  isset($_POST['radio']) ) {
	$id_usuario = $_POST['id_usuario'];
	$radio = $_POST['radio'];
	
	$arr='[';

	$dbMySQL=connexioMySql();
	
	$rs = $dbMySQL->prepare("SELECT latitut, longitut from usuaris where id_usuari=:id_usuario");;
	$rs->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
	$rs->execute();
	$row = $rs->fetch(PDO::FETCH_ASSOC);
	$latitudUsuario=$row['latitut'];
	$longitudUsuario=$row['longitut'];
	
	$arr.='{
			"nombre":"",
            "id_usuario":'.$id_usuario.',
            "latitud":"'.str_replace(",",".",$latitudUsuario).'",
            "longitud":"'.str_replace(",",".",$longitudUsuario).'"
           },';
	
	$rs = $dbMySQL->prepare("SELECT id_usuari from llibres_canvi where id_usuari<>:id_usuario group by id_usuari");
	$rs->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
	$rs->execute();
	
	while($row2 = $rs->fetch(PDO::FETCH_ASSOC))
    {
		$id_usuario=$row2['id_usuari'];
		$lat='';
		$stmt = $dbMySQL->prepare("SELECT latitut, longitut, nom, id_usuari from usuaris where id_usuari=:id_usuario and latitut <>:latitut");
		$stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
		$stmt->bindParam(":latitut", $lat, PDO::PARAM_STR);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
		$nombre=$row['nom'];
		$latitud=$row['latitut'];
		$longitud=$row['longitut'];
		$id_usuario=$row['id_usuari'];
		
		$distancia=distanceCalculation($latitud, $longitud, $latitudUsuario, $longitudUsuario, 'km', 2);
		
		if($distancia<=$radio){
		
        	$arr.='{
                    	"nombre":"'.$nombre.'",
                    	"id_usuario":'.$id_usuario.',
                    	"latitud":"'.str_replace(",",".",$latitud).'",
                    	"longitud":"'.str_replace(",",".",$longitud).'"
                	},';
		}
	}
	$arr = trim($arr, ',');
    $arr.=']';
    echo $arr;
}
