<?php
header('Content-type: application/json');
require_once "funcions.php";

if ( isset($_POST['id_permuta']) && isset($_POST['id_usuario']) && isset($_POST['id_usuario_valorado'])  )
{
    $id_permuta=$_POST['id_permuta'];
 	$id_usuario=$_POST['id_usuario'];
	$id_usuario_valorado=$_POST['id_usuario_valorado'];
	$puntuacion=$_POST['puntuacion'];
	$opinion=$_POST['opinion'];
 	$fecha = date('Y-m-d H:i:s');
	try{
    $dbMySQL = connexioMySql();
	$stmt = $dbMySQL->prepare("insert into valoracions (id_usuari, id_usuari_valorat, id_permuta, observacio, puntuacio, data) values (:id_usuario, :id_usuario_valorado, :id_permuta, :opinion, :puntuacion, :fecha)");
	$stmt->bindParam(":id_permuta", $id_permuta, PDO::PARAM_INT);
	$stmt->bindParam(":id_usuario", $id_usuario, PDO::PARAM_INT);
	$stmt->bindParam(":id_usuario_valorado", $id_usuario_valorado, PDO::PARAM_INT);
	$stmt->bindParam(":opinion", $opinion, PDO::PARAM_STR);
	$stmt->bindParam(":puntuacion", $puntuacion, PDO::PARAM_STR);
	$stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);
	$stmt->execute();
	}
	catch (PDOException $e) {
    	echo "Error!: " . $e->getMessage() . "<br/>";
    	die();
	}
	echo '{"success":1}';
}
else
{
	echo '{"success":0,"error_message":"Datos inválidos"}';
}

?>