-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:8889
-- Tiempo de generación: 13-12-2016 a las 22:03:34
-- Versión del servidor: 5.6.33
-- Versión de PHP: 7.0.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `trotalibros`
--
CREATE DATABASE IF NOT EXISTS `trotalibros` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `trotalibros`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `autors`
--

CREATE TABLE `autors` (
  `id_autor` int(11) NOT NULL,
  `autor` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `autors`
--

INSERT INTO `autors` (`id_autor`, `autor`) VALUES
(1, 'George R. R. Martin'),
(2, 'King, Stephen Harris Morley'),
(3, 'J.K Rowling'),
(4, 'Michael Ende'),
(5, 'J.K. Rowling'),
(6, 'Robert Kirkman');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `biblioteca`
--

CREATE TABLE `biblioteca` (
  `id_biblioteca` int(11) NOT NULL,
  `id_usuari` int(11) NOT NULL,
  `id_llibre` int(11) NOT NULL,
  `id_estat` int(11) DEFAULT NULL,
  `flag` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `biblioteca`
--

INSERT INTO `biblioteca` (`id_biblioteca`, `id_usuari`, `id_llibre`, `id_estat`, `flag`) VALUES
(1, 49, 1, NULL, 0),
(2, 49, 3, NULL, 0),
(3, 49, 2, NULL, 0),
(4, 49, 4, NULL, 0),
(5, 49, 5, NULL, 0),
(6, 49, 6, NULL, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `generes`
--

CREATE TABLE `generes` (
  `id_genere` int(11) NOT NULL,
  `genere` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `generes`
--

INSERT INTO `generes` (`id_genere`, `genere`) VALUES
(1, 'Policial / Thriller'),
(2, 'Romántica'),
(3, 'Aventura'),
(4, 'Terror'),
(5, 'Ficcion / Realidad'),
(6, 'Ciencia Ficción'),
(7, 'Investigación'),
(8, 'Biográfica'),
(9, 'Infantil'),
(10, 'Autoayuda'),
(11, 'Erótica'),
(12, 'Hogar'),
(13, 'Enciclopedia / Manual'),
(14, 'Politica'),
(15, 'Economia / Marketing'),
(16, 'Sociedad'),
(17, 'Deportes'),
(18, 'Viajes / Cultura'),
(19, 'Otros temas / Varios'),
(20, 'Libros escolar');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `idiomes`
--

CREATE TABLE `idiomes` (
  `id_idioma` int(11) NOT NULL,
  `idioma` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `llibres`
--

CREATE TABLE `llibres` (
  `id_llibre` int(11) NOT NULL,
  `ISBN` varchar(13) NOT NULL,
  `titol` varchar(100) NOT NULL,
  `data_entrada` date NOT NULL,
  `sinopsis` text NOT NULL,
  `id_idioma` int(11) DEFAULT NULL,
  `portada` longblob NOT NULL,
  `extensio_portada` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `llibres`
--

INSERT INTO `llibres` (`id_llibre`, `ISBN`, `titol`, `data_entrada`, `sinopsis`, `id_idioma`, `portada`, `extensio_portada`) VALUES
(1, '8496208923', 'Juego de tronos. CanciÃ³n de hielo y fuego', '2016-12-05', '', NULL, '', 'jpg'),
(2, '9788497593793', 'It', '2016-12-05', '', NULL, '', 'jpeg'),
(3, '8478884469', 'Harry Potter y la Piedra Filosofal', '2016-12-05', '', NULL, '', 'png'),
(4, '9788491220787', 'La Historia Interminable', '2016-12-05', '', NULL, '', 'png'),
(5, '9788475966991', 'Harry Potter I La Cambra Secreta', '2016-12-05', '', NULL, '', 'png'),
(6, 'B00MBFNOHI', 'Los muertos vivientes #1 Dias pasados', '2016-12-12', '', NULL, '', 'png');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `llibres_canvi`
--

CREATE TABLE `llibres_canvi` (
  `id_llibre_canvi` int(11) NOT NULL,
  `id_usuari` int(11) NOT NULL,
  `id_llibre` int(11) NOT NULL,
  `observacio` text NOT NULL,
  `id_estat` int(11) DEFAULT NULL,
  `flag` int(11) NOT NULL DEFAULT '0',
  `extensio_imatge` varchar(15) NOT NULL,
  `eliminat` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `llibres_canvi`
--

INSERT INTO `llibres_canvi` (`id_llibre_canvi`, `id_usuari`, `id_llibre`, `observacio`, `id_estat`, `flag`, `extensio_imatge`, `eliminat`) VALUES
(20, 56, 5, 'En perfecto estado', NULL, 0, '', 0),
(21, 49, 5, '', NULL, 1, '', 0),
(22, 49, 4, 'En perfecto estado', NULL, 1, '', 0),
(23, 49, 1, 'Erghh', NULL, 0, '', 0),
(24, 49, 3, '', NULL, 0, '', 0),
(25, 49, 6, 'Portada rota', NULL, 0, '', 0),
(26, 49, 5, '', NULL, 0, 'png', 0),
(27, 49, 2, '', NULL, 1, 'png', 0),
(28, 49, 2, '', NULL, 1, 'png', 0),
(29, 49, 2, '', NULL, 1, 'png', 0),
(30, 49, 2, '', NULL, 0, 'png', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `llibres_desitjats`
--

CREATE TABLE `llibres_desitjats` (
  `id_usuari` int(11) NOT NULL,
  `id_llibre` int(11) NOT NULL,
  `data_entrada` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `llibres_desitjats`
--

INSERT INTO `llibres_desitjats` (`id_usuari`, `id_llibre`, `data_entrada`) VALUES
(49, 5, '2016-12-05');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `llibre_autor`
--

CREATE TABLE `llibre_autor` (
  `id_llibre` int(11) NOT NULL,
  `id_autor` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `llibre_autor`
--

INSERT INTO `llibre_autor` (`id_llibre`, `id_autor`) VALUES
(1, 1),
(2, 2),
(3, 3),
(4, 4),
(5, 5),
(6, 6);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `llibre_genere`
--

CREATE TABLE `llibre_genere` (
  `id_llibre` int(11) NOT NULL,
  `id_genere` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `llibre_genere`
--

INSERT INTO `llibre_genere` (`id_llibre`, `id_genere`) VALUES
(2, 4),
(6, 4),
(1, 5),
(3, 5),
(5, 5),
(4, 9);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `opinions_llibre`
--

CREATE TABLE `opinions_llibre` (
  `id_llibre` int(11) NOT NULL,
  `id_usuari` int(11) NOT NULL,
  `opinio` text NOT NULL,
  `data_entrada` date NOT NULL,
  `nota` decimal(10,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `opinions_llibre`
--

INSERT INTO `opinions_llibre` (`id_llibre`, `id_usuari`, `opinio`, `data_entrada`, `nota`) VALUES
(3, 49, 'FantÃ¡stico! Es lo mÃ¡s!', '2016-12-05', '10.00'),
(2, 49, 'HolÃ \nAqui', '2016-12-05', '2.00'),
(5, 49, 'Mola!!', '2016-12-05', '10.00'),
(4, 49, 'Muy guapo', '2016-12-12', '9.00'),
(1, 49, 'Guai!', '2016-12-13', '7.00');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `permutes`
--

CREATE TABLE `permutes` (
  `id_permuta` int(11) NOT NULL,
  `data_permuta` datetime NOT NULL,
  `id_usuari_emisor` int(11) NOT NULL,
  `id_usuari_receptor` int(11) NOT NULL,
  `id_llibre_emisor` int(11) NOT NULL,
  `id_llibre_receptor` int(11) NOT NULL,
  `estat` int(11) NOT NULL DEFAULT '0' COMMENT '0 -oberta, 1-cancelada, 2-acceptada',
  `data_resposta` datetime DEFAULT NULL,
  `comentari_emisor` text NOT NULL,
  `resposta` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `permutes`
--

INSERT INTO `permutes` (`id_permuta`, `data_permuta`, `id_usuari_emisor`, `id_usuari_receptor`, `id_llibre_emisor`, `id_llibre_receptor`, `estat`, `data_resposta`, `comentari_emisor`, `resposta`) VALUES
(12, '2016-12-12 21:32:19', 49, 56, 22, 20, 1, '2016-12-12 21:37:27', '', ''),
(13, '2016-12-12 21:34:20', 49, 56, 22, 20, 1, NULL, '', ''),
(14, '2016-12-12 21:36:14', 49, 56, 22, 20, 1, NULL, '', ''),
(15, '2016-12-12 21:42:55', 49, 56, 22, 20, 1, '2016-12-12 21:43:13', 'Cambias??', ''),
(16, '2016-12-12 21:43:16', 49, 56, 22, 20, 1, NULL, 'Cambias??', ''),
(17, '2016-12-12 21:46:49', 49, 56, 22, 20, 1, NULL, 'Qqq', ''),
(18, '2016-12-12 21:48:19', 49, 56, 22, 20, 1, NULL, '', ''),
(19, '2016-12-12 21:51:37', 49, 56, 22, 20, 1, NULL, '', ''),
(20, '2016-12-12 21:57:37', 49, 56, 21, 20, 1, NULL, '', ''),
(21, '2016-12-12 22:48:39', 49, 56, 24, 20, 0, NULL, '', ''),
(22, '2016-12-12 22:55:34', 49, 56, 25, 20, 0, NULL, 'Cambias??', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuaris`
--

CREATE TABLE `usuaris` (
  `id_usuari` int(11) NOT NULL,
  `user` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `nom` varchar(100) NOT NULL,
  `cognom` varchar(50) NOT NULL,
  `mail` varchar(50) NOT NULL,
  `id_sexe` int(11) NOT NULL,
  `id_franja_edat` int(11) NOT NULL,
  `id_idioma` int(11) NOT NULL,
  `data_alta` datetime NOT NULL,
  `latitut` varchar(50) NOT NULL,
  `longitut` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `usuaris`
--

INSERT INTO `usuaris` (`id_usuari`, `user`, `password`, `nom`, `cognom`, `mail`, `id_sexe`, `id_franja_edat`, `id_idioma`, `data_alta`, `latitut`, `longitut`) VALUES
(49, 'dudiot@hotmail.com', '$2y$13$WVfL9pYdzqjFAA.IYSZapenkHheF/7sni3N2rAlZSzSoH1cqeBTLq', 'Eduard', 'Galdon', 'dudiot@hotmail.com', 1, 1, 1, '2016-11-23 12:21:56', '42.512177', '1.537287'),
(56, 'user@andorsoft.ad', '$2a$10$j7lAUQQk.wkwYtqAxhsyFu.exKUsMNI6q.1DGSyA/9Mr6Tn94XT0e', 'User', 'User', 'user@andorsoft.ad', 1, 1, 1, '2016-11-29 07:21:56', '42.397951', '1.481899');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `valoracions`
--

CREATE TABLE `valoracions` (
  `id_valoracio` int(11) NOT NULL,
  `data` datetime NOT NULL,
  `id_usuari` int(11) NOT NULL,
  `id_usuari_valorat` int(11) NOT NULL,
  `puntuacio` decimal(10,0) NOT NULL,
  `observacio` text NOT NULL,
  `id_permuta` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `valoracions`
--

INSERT INTO `valoracions` (`id_valoracio`, `data`, `id_usuari`, `id_usuari_valorat`, `puntuacio`, `observacio`, `id_permuta`) VALUES
(1, '2016-12-06 11:41:18', 56, 49, '10', 'Muy bien', 1);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `autors`
--
ALTER TABLE `autors`
  ADD PRIMARY KEY (`id_autor`);

--
-- Indices de la tabla `biblioteca`
--
ALTER TABLE `biblioteca`
  ADD PRIMARY KEY (`id_biblioteca`),
  ADD KEY `fk_llibre_biblioteca` (`id_llibre`),
  ADD KEY `fk_usuari_biblioteca` (`id_usuari`),
  ADD KEY `fk_biblioteca_estat` (`id_estat`);

--
-- Indices de la tabla `generes`
--
ALTER TABLE `generes`
  ADD PRIMARY KEY (`id_genere`);

--
-- Indices de la tabla `llibres`
--
ALTER TABLE `llibres`
  ADD PRIMARY KEY (`id_llibre`),
  ADD UNIQUE KEY `ISBN` (`ISBN`);

--
-- Indices de la tabla `llibres_canvi`
--
ALTER TABLE `llibres_canvi`
  ADD PRIMARY KEY (`id_llibre_canvi`),
  ADD KEY `fk_llibre_biblioteca` (`id_llibre`),
  ADD KEY `fk_usuari_biblioteca` (`id_usuari`),
  ADD KEY `fk_biblioteca_estat` (`id_estat`);

--
-- Indices de la tabla `llibres_desitjats`
--
ALTER TABLE `llibres_desitjats`
  ADD KEY `fk_llibre_ususari` (`id_llibre`),
  ADD KEY `fk_ususari_llibre` (`id_usuari`);

--
-- Indices de la tabla `llibre_autor`
--
ALTER TABLE `llibre_autor`
  ADD UNIQUE KEY `id_llibre` (`id_llibre`,`id_autor`),
  ADD KEY `fk_autor_llibre` (`id_autor`);

--
-- Indices de la tabla `llibre_genere`
--
ALTER TABLE `llibre_genere`
  ADD UNIQUE KEY `id_llibre` (`id_llibre`,`id_genere`),
  ADD KEY `fk_genere_llibre` (`id_genere`);

--
-- Indices de la tabla `opinions_llibre`
--
ALTER TABLE `opinions_llibre`
  ADD KEY `fk_id_usuari_opinio` (`id_llibre`),
  ADD KEY `fk_id_llibre_opinio` (`id_usuari`);

--
-- Indices de la tabla `permutes`
--
ALTER TABLE `permutes`
  ADD PRIMARY KEY (`id_permuta`),
  ADD KEY `fk_id_usuari_emisor_permuta` (`id_usuari_emisor`),
  ADD KEY `fk_id_usuari_receptor_permuta` (`id_usuari_receptor`),
  ADD KEY `fk_id_llibre_receptor_permuta` (`id_llibre_receptor`),
  ADD KEY `fk_id_llibre_emisor_permuta` (`id_llibre_emisor`);

--
-- Indices de la tabla `usuaris`
--
ALTER TABLE `usuaris`
  ADD PRIMARY KEY (`id_usuari`);

--
-- Indices de la tabla `valoracions`
--
ALTER TABLE `valoracions`
  ADD PRIMARY KEY (`id_valoracio`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `autors`
--
ALTER TABLE `autors`
  MODIFY `id_autor` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT de la tabla `biblioteca`
--
ALTER TABLE `biblioteca`
  MODIFY `id_biblioteca` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT de la tabla `generes`
--
ALTER TABLE `generes`
  MODIFY `id_genere` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;
--
-- AUTO_INCREMENT de la tabla `llibres`
--
ALTER TABLE `llibres`
  MODIFY `id_llibre` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT de la tabla `llibres_canvi`
--
ALTER TABLE `llibres_canvi`
  MODIFY `id_llibre_canvi` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;
--
-- AUTO_INCREMENT de la tabla `permutes`
--
ALTER TABLE `permutes`
  MODIFY `id_permuta` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;
--
-- AUTO_INCREMENT de la tabla `usuaris`
--
ALTER TABLE `usuaris`
  MODIFY `id_usuari` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=79;
--
-- AUTO_INCREMENT de la tabla `valoracions`
--
ALTER TABLE `valoracions`
  MODIFY `id_valoracio` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `llibre_autor`
--
ALTER TABLE `llibre_autor`
  ADD CONSTRAINT `fk_autor_llibre` FOREIGN KEY (`id_autor`) REFERENCES `autors` (`id_autor`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_llibre_autor` FOREIGN KEY (`id_llibre`) REFERENCES `llibres` (`id_llibre`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `llibre_genere`
--
ALTER TABLE `llibre_genere`
  ADD CONSTRAINT `fk_genere_llibre` FOREIGN KEY (`id_genere`) REFERENCES `generes` (`id_genere`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_llibre_genere` FOREIGN KEY (`id_llibre`) REFERENCES `llibres` (`id_llibre`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
