//
//  OpinionController.swift
//  trotalibros
//
//  Created by Andorsoft on 22/11/16.
//  Copyright © 2016 EDU. All rights reserved.
//  Clase que muestra una opinión

import Foundation
import UIKit
import QuartzCore

class OpinionController: UIViewController {
    
    //variables internas
    var usuario: NSString = " "
    var nota: NSString = " "
    var opinion: NSString = " "
    var fecha: NSString = " "
    var portada: NSString = " "
    
    //variables conectadas con los elementos de la pantalla
    @IBOutlet weak var portadaImagen: UIImageView!
    @IBOutlet weak var usuarioLabel: UILabel!
    @IBOutlet weak var opinionLabel: UITextView!
    @IBOutlet weak var fechaLabel: UILabel!
    @IBOutlet weak var notaButton: UIButton!
    
    //Función que se ejecuta al cargar la pantalla la primera vez
    override func viewDidLoad()
    {
        super.viewDidLoad()
        self.title = "Opinion libro"
        usuarioLabel.text = usuario as String
        opinionLabel.text = opinion as String
        fechaLabel.text = fecha as String
        notaButton.setTitle(nota as String, for: UIControlState.normal)
        
        //Si tiene portada descodificamos la imagen y se muestra
        if(portada != "-"){
            let decodedData = NSData(base64Encoded: portada as String, options: NSData.Base64DecodingOptions(rawValue: 0))
            self.portadaImagen.contentMode = UIViewContentMode.scaleToFill
            self.portadaImagen.image = UIImage(data: decodedData! as Data)
        }
    }
    
    override func viewWillAppear(_ animated: Bool)
    {
        super.viewWillAppear(animated)
    }
}
